Skip to main content
`Ctrl`+`K`

# TSSundialsSetGramSchmidtType

Sets type of orthogonalization used in GMRES method by `TSSUNDIALS` linear solver.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSSundialsSetGramSchmidtType(TS ts, TSSundialsGramSchmidtType type)

Logically Collective

## Input Parameters

- ts - the time-step context

- type - either `SUNDIALS_MODIFIED_GS` or `SUNDIALS_CLASSICAL_GS`

## See Also

TS: Scalable ODE and DAE Solvers, `TSSundialsGetIterations()`, `TSSundialsSetType()`, `TSSundialsSetMaxl()`, `TSSundialsSetLinearTolerance()`, `TSSundialsSetTolerance()`, `TSSundialsGetPC()`, `TSSetExactFinalTime()`

## Level

advanced

## Location

src/ts/impls/implicit/sundials/sundials.c

## Implementations

TSSundialsSetGramSchmidtType_Sundials() in src/ts/impls/implicit/sundials/sundials.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages